# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	verbose		# verbose build (V=1)

%if "%{_alt_kernel}" != "%{nil}"
%if 0%{?build_kernels:1}
%{error:alt_kernel and build_kernels are mutually exclusive}
exit 1
%endif
%global		_build_kernels		%{alt_kernel}
%else
%global		_build_kernels		%{?build_kernels:,%{?build_kernels}}
%endif

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		kbrs	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo "BuildRequires:kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2" ; done)
%define		kpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%kernel_pkg ; done)
%define		bkpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%build_kernel_pkg ; done)

%define		rel	8
%define		pname	r8168
Summary:	Linux driver for RTL8111/8168B PCI Express Gigabit Ethernet controllers
Summary(pl.UTF-8):	Linuksowy sterownik dla kart sieciowych RTL8111/8168B PCI Express Gigabit Ethernet
Name:		%{pname}%{_alt_kernel}
Version:	8.036.00
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL
Group:		Base/Kernel
URL:		http://www.realtek.com.tw/
# Check for new versions at
# http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false
# unfortunately this download is not DF-friendly.
Source0:	%{pname}-%{version}.tar.bz2
# Source0-md5:	a9a5b238f59cc30eefa5917d7f6b728e
Patch0:		linux-3.10.patch
BuildRequires:	rpmbuild(macros) >= 1.678
%{?with_dist_kernel:%{expand:%kbrs}}
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%description
Driver (Linux kernel module) for RTL8111/8168B PCI Express Gigabit
Ethernet controllers.

%description -l pl.UTF-8
Sterownik (moduł jądra Linuksa) dla kart sieciowych RTL8111/8168B PCI
Express Gigabit Ethernet.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-r8168\
Summary:	Linux kernel module for RTL8111/8168B PCI Express Gigabit Ethernet controllers\
Summary(pl.UTF-8):	Moduł jądra Linuksa dla kart sieciowych RTL8111/8168B PCI Express Gigabit Ethernet\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
\
%description -n kernel%{_alt_kernel}-net-r8168\
Driver (Linux kernel module) for RTL8111/8168B PCI Express Gigabit\
Ethernet controllers.\
\
%description -n kernel%{_alt_kernel}-net-r8168 -l pl.UTF-8\
Sterownik (moduł jądra Linuksa) dla kart sieciowych RTL8111/8168B PCI\
Express Gigabit Ethernet.\
\
%files -n kernel%{_alt_kernel}-net-r8168\
%defattr(644,root,root,755)\
%doc README\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/*.ko*\
\
%post	-n kernel%{_alt_kernel}-net-r8168\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-r8168\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -m r8168 -C src KERNELRELEASE=%{_kernel_ver}\
%install_kernel_modules -D installed -m src/r8168 -d kernel/drivers/net\
%{nil}

%{expand:%kpkg}

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%{expand:%bkpkg}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Thu Jan 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/r8168.git;a=log;h=auto/th/r8168-8.036.00-8

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> 2a8f34f
- switch to macro driven module build for multiple kernel versions
- rel 8

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> 9701479
- only kernel module here, kernel bcond doesn't make sense
- removed outdated NOTE

* Mon Oct 07 2013 Jan Rękorajski <baggins@pld-linux.org> a1c7222
- rebuild for kernel-3.10.15-1
- release 7 (by relup.sh)

* Wed Oct 02 2013 Jan Rękorajski <baggins@pld-linux.org> 6cc571a
- rebuild for kernel-3.10.14-1
- release 6 (by relup.sh)

* Fri Sep 27 2013 Jan Rękorajski <baggins@pld-linux.org> 420878a
- rebuild for kernel-3.10.13-1
- release 5 (by relup.sh)

* Sun Sep 15 2013 Jan Rękorajski <baggins@pld-linux.org> afadb92
- rebuild for kernel-3.10.12-1
- release 4 (by relup.sh)

* Tue Sep 10 2013 Jan Rękorajski <baggins@pld-linux.org> c71d345
- rebuild for kernel-3.10.11-1
- release 3 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 80f3a06
- rebuild for kernel-3.10.10-1
- release 2 (by relup.sh)

* Sun Aug 25 2013 Jan Rękorajski <baggins@pld-linux.org> a256259
- up to 8.036.00
- fix build with linux 3.10

* Sat Aug 24 2013 Jan Rękorajski <baggins@pld-linux.org> e668129
- rebuild for kernel-3.10.9-1
- release 9 (by relup.sh)

* Thu Aug 15 2013 Jan Rękorajski <baggins@pld-linux.org> 01fbed6
- release 8 (by relup.sh)

* Thu Jul 25 2013 Jan Rękorajski <baggins@pld-linux.org> c4d4d9f
- rebuild for kernel-3.9.11-1
- release 7 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> ca16abd
- rebuild for kernel-3.9.9-1
- release 6 (by relup.sh)

* Thu Jun 27 2013 Jan Rękorajski <baggins@pld-linux.org> 7e3d7f9
- rebuild for kernel-3.9.8-1
- release 5 (by relup.sh)

* Thu Jun 20 2013 Jan Rękorajski <baggins@pld-linux.org> 05b903e
- rebuild for kernel-3.9.7-1
- release 4 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> a595bfc
- rebuild for kernel-3.9.6-1
- release 3 (by relup.sh)

* Fri Jun 07 2013 Jan Rękorajski <baggins@pld-linux.org> d32d5fa
- rebuild for kernel-3.9.5-1 /home/users/baggins/devel/PLD/rpm/packages
- release 2 (by relup.sh)

* Tue Jun 04 2013 Jan Rękorajski <baggins@pld-linux.org> b9b3584
- fix building with kernel 3.8+

* Tue Jun 04 2013 Jan Rękorajski <baggins@pld-linux.org> 20af79b
- updated to 8.035.00
- removed obsolete patch

* Mon Jun 03 2013 Jan Rękorajski <baggins@pld-linux.org> fb4ccde
- rebuild for kernel-3.9.4-3
- release 49 (by relup.sh)

